std::is_pointer_interconvertible_base_of< _Base, _Derived > Struct Template Reference
Utilities » Metaprogramming
Inheritance diagram for std::is_pointer_interconvertible_base_of< _Base, _Derived >:
[legend]

## Public Types

typedef integral_constant< _Tp, __v > | type
typedef _Tp | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr _Tp | value

## Detailed Description

### template<typename _Base, typename _Derived>
struct std::is_pointer_interconvertible_base_of< _Base, _Derived >

True if `_Derived` is standard-layout and has a base class of type `_Base`

Since
  C++20

Definition at line 3457 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits